Another way to get it to install is to edit the net_rim_bb_gmail.alx file. Change the <fileset Java="1.38"> line to read <fileset Java="1.00"> or just remove Java="1.38" completely. Locations below:

x86
C:\Program Files\common files\Research In Motion\Shared\Loader Files\model_version

x64
C:\Program Files (x86)\common files\Research In Motion\Shared\Loader Files\model_version

This worked on my Bold, but did not on my Curve 8330. Replaced with a Tour and haven't tried it yet. Still downloading.